# Class JLuccaApi

#### Hierarchy (View Summary)

- JBaseApi
  - JLuccaApi

- Defined in jamespot-user-api/src/apis/lucca/lucca.ts:5

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

getAbsence

## Constructors

### constructor

- new JLuccaApi(jApi: JamespotUserApi): JLuccaApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JLuccaApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### getAbsence

- getAbsence(
  payload: { date?: string },
  params?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<WidgetLuccaAbsenceUser[], BaseMessages>>

  #### Parameters

  - payload: { date?: string }
  - `Optional` params: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<WidgetLuccaAbsenceUser[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/lucca/lucca.ts:6